> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1generate



## OpenAPI

````yaml /api/openapi.json get /api/v1/generate/{jobId}
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/generate/{jobId}:
    get:
      tags:
        - ai
      operationId: getGenerationJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobId:
                    type: string
                    minLength: 1
                  state:
                    type: string
                    enum:
                      - running
                      - done
                      - failed
                  done:
                    type: number
                    minimum: 0
                  total:
                    type: number
                    minimum: 0
                  lessonIds:
                    type: array
                    items:
                      type: string
                      minLength: 1
                  error:
                    type:
                      - string
                      - 'null'
                  failures:
                    type: array
                    items:
                      type: object
                      properties:
                        lessonId:
                          type: string
                          minLength: 1
                        type:
                          type: string
                          enum:
                            - heading
                            - text
                            - callout
                            - image
                            - check
                            - document
                            - file
                            - video
                            - table
                            - scenario
                            - link
                        message:
                          type: string
                      required:
                        - lessonId
                        - type
                        - message
                      additionalProperties: false
                required:
                  - jobId
                  - state
                  - done
                  - total
                  - lessonIds
                  - error
                  - failures
                additionalProperties: false
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````